package entity

import "go.mongodb.org/mongo-driver/bson/primitive"

type AutoID struct {
	ID       primitive.ObjectID `bson:"_id,omitempty" json:"id,omitempty"`
	Name     string             `bson:"name,omitempty" json:"name,omitempty"`
	Counter  uint64             `bson:"counter" json:"counter"`
	UpdateAt *int64             `bson:"update_at,omitempty" json:"update_at,omitempty"`
	CreateAt *int64             `bson:"create_at,omitempty" json:"create_at,omitempty"`
}

func (a *AutoID) CollectionName() string {
	return "count"
}
